from StringIO import StringIO
from Products.Archetypes.Extensions.utils import install_subskin
from Products.SimplePloneStyle.config import *
from Products.CMFCore.utils import getToolByName


def install(self):
    out = StringIO()
    install_subskin(self, out, GLOBALS)
    registerStylesheets(self, out)
    return out.getvalue()

def uninstall(self):
    unregisterStylesheets(self)


# register additional CSS stylesheets
def registerStylesheets(self, out):
    csstool = getToolByName(self, 'portal_css')
    csstool.registerStylesheet('redBackground.css', media="screen", rendering='import')
    csstool.registerStylesheet('blueTitle.css', media="all", rendering='import')
    print >> out, 'installed the Plone additional styles'

# unregister styles
def unregisterStylesheets(self):
    csstool = getToolByName(self, 'portal_css')
    sheetnames = ('redBackground.css',
                  'blueTitle.css',
                  )
    for sheetname in sheetnames:
        csstool.unregisterStylesheet(sheetname)
